Debian Bug report logs - #496980
mawk: should have Build-Conflicts against byacc

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: Neil Williams <codehelp@debian.org>

Date: Thu, 28 Aug 2008 23:24:01 UTC

Severity: normal

Tags: fixed-upstream

Fixed in version mawk/1.3.3-14

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#496980; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mawk: should have Build-Conflicts against byacc
Date: Fri, 29 Aug 2008 00:21:36 +0100
Package: mawk
Version: 1.3.3-12
Severity: normal

After trying to work out why mawk was failing to build on 
my normal system but succeeding in a clean chroot, I 
realised that this one configure check was giving a 
different value:
checking for byacc... no

becomes:
checking for byacc... byacc

and the build fails:

make[1]: Entering directory `/opt/emdebian/trunk/m/mawk/trunk/mawk-1.3.3'
expect 4 shift/reduce conflicts
byacc  -d parse.y
byacc: 4 shift/reduce conflicts.
mv y.tab.c parse.c
if cmp -s y.tab.h parse.h ;\
           then rm y.tab.h ;\
           else mv y.tab.h parse.h ; fi
cc -g -Wall -O2   -c -o parse.o parse.c
In file included from mawk.h:53,
                 from parse.y:81:
nstd.h:77: error: expected identifier or ‘(’ before ‘__extension__’
nstd.h:78: error: expected identifier or ‘(’ before ‘__extension__’
nstd.h:78: error: expected identifier or ‘(’ before ‘)’ token
nstd.h:81: error: expected identifier or ‘(’ before ‘__extension__’
parse.y: In function ‘field_A2I’:
parse.y:1191: warning: suggest parentheses around && within ||
y.tab.c: In function ‘yyparse’:
y.tab.c:1479: warning: label ‘yyerrlab’ defined but not used
make[1]: *** [parse.o] Error 1

Removing byacc allows the build to proceed as normal.

I don't know, now, why I had byacc actually installed - it didn't have
any reverse dependencies.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) 
(ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mawk depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries

mawk recommends no packages.

mawk suggests no packages.

-- no debconf information




Bug reassigned from package `mawk' to `buildd.emdebian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:30:21 GMT) Full text and rfc822 format available.

Bug reassigned from package `buildd.emdebian.org' to `mawk'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#496980; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #14 received at 496980@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 496980@bugs.debian.org
Subject: re: #496980 mawk: should have Build-Conflicts against byacc
Date: Tue, 09 Sep 2008 16:35:32 -0400
[Message part 1 (text/plain, inline)]
The comment about byacc is spurious - the mawk package needs some work.
(I'm thinking about making a patch to fix mawk in any case ;-)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#496980; Package mawk. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. Full text and rfc822 format available.

Message #19 received at 496980@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 496980@bugs.debian.org
Cc: 496980-submitter@bugs.debian.org
Subject: re: #496980 mawk: should have Build-Conflicts against byacc
Date: Tue, 09 Sep 2008 21:09:41 -0400
[Message part 1 (text/plain, inline)]
Here's a quick patch which resolves the immediate issues of incorrect
prototypes (providing a better configure script), and fixes the warnings
shown in the bug report.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[mawk-1.3.3-20080909.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Neil Williams <codehelp@debian.org>:
Bug#496980. Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 28 Jul 2009 08:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#496980; Package mawk. (Mon, 01 Mar 2010 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 01 Mar 2010 20:18:06 GMT) Full text and rfc822 format available.

Message #29 received at 496980@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 496980@bugs.debian.org, control@bugs.debian.org
Subject: Re: mawk: should have Build-Conflicts against byacc
Date: Mon, 1 Mar 2010 14:15:48 -0600
fixed 496980 1.3.3-14
thanks

Hi,

Neil Williams wrote:

> After trying to work out why mawk was failing to build on 
> my normal system but succeeding in a clean chroot, I 
> realised that this one configure check was giving a 
> different value:
> checking for byacc... no
> 
> becomes:
> checking for byacc... byacc
> 
> and the build fails:
[...]
> In file included from mawk.h:53,
>                  from parse.y:81:
> nstd.h:77: error: expected identifier or ‘(’ before ‘__extension__’

mawk (1.3.3-14) unstable; urgency=low

 * Build-Conflict with byacc, as the current version doesn't appear to be
   compatible with mawk; though we ought to fix the upstream build rules
   to not check for byacc first in this case, this is an ok fix for now.
   Closes: #509832.

The right fix is not to change the upstream build rules but to fix
upstream to build correctly with byacc. ;-)  The latest version from
invisible-island.net does, incidentally, though I can understand if
cherry-picking that fix is not the most urgent task in the world.

Hope that helps,
Jonathan




Bug Marked as fixed in versions mawk/1.3.3-14. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 01 Mar 2010 20:18:07 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Neil Williams <codehelp@debian.org> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 24 Oct 2011 23:00:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Nov 2011 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:13:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.